@ECHO OFF
SET WORK=%~dp0
SET SSRC=
SET QUELLPFAD="Quelle"
SET ZIELPFAD="Ziel"

CLS
IF NOT EXIST "%WORK%Programme\MADbundle\madplay.exe" (
	START /W W32popup.exe "Das Programm 'MPEG Audio Decoder 0.15.2 b' befindet sich nicht im angegebenen Pfad !" /C:"MP3 -> AC3 FEHLER" /I:I /B:OK
	GOTO :ENDE
)

IF NOT EXIST "%WORK%Programme\BeSweet\besweet.exe" (
	START /W W32popup.exe "Das Programm 'BeSweet v1.5b26 by DSPguru' befindet sich nicht im angegebenen Pfad !" /C:"MP3 -> AC3 FEHLER" /I:I /B:OK
	GOTO :ENDE
)
IF NOT EXIST "%WORK%Programme\SSRC\ssrc_hp.exe" (
	START /W W32popup.exe "Das Programm 'Shibatch Sampling Rate Converter! [high precision]' befindet sich nicht im angegebenen Pfad !" /C:"MP3 -> AC3 FEHLER" /I:I /B:OK
	GOTO :ENDE
)

IF NOT EXIST Temp MD Temp

START /W W32popup.exe "Moechten Sie zusaetzlich eine Normalisierung der Datei(en) durchfuehren ?" /C:"MP3 -> AC3 Anpassung der Lautstaerke" /I:Q /B:YNC
IF "%ERRORLEVEL%"=="3" SET SSRC=--rate 48000 --bits 16 --twopass --normalize
IF "%ERRORLEVEL%"=="2" SET SSRC=--rate 48000 --bits 16 --twopass
IF "%SSRC%"=="" GOTO :ENDE
ECHO %SSRC%

FOR /R %QUELLPFAD% %%A IN (*.mp3) DO CALL :WANDLE "%%~fA" %ZIELPFAD%
GOTO :DEL

:WANDLE
ECHO .................................................................................................................
ECHO Ich wandle %1
ECHO nach "%~2\%~n1"
ECHO.
ECHO.

:MADPLAY
ECHO ...MPEG Audio Decoder dekomprimiert.....................................................................
ECHO.
"%WORK%Programme\MADbundle\madplay.exe" -b 24 -G -a -2 -S -v -o wave:"%WORK%Temp\%~n1.wav" %1
IF NOT EXIST "Temp\%~n1.wav" (
	START /W W32popup.exe "Leider ist bei der Bearbeitung von %~n1.wav ein Fehler passiert !" /C:"MP3 -> AC3 FEHLER MADPLAY" /I:I /B:OK
	GOTO :EOF
)
ECHO.
CLS
:SSRC
ECHO ...Shibatch Sampling Rate Converter verarbeitet.................................................
ECHO.
"%WORK%Programme\SSRC\ssrc_hp.exe" %SSRC% "%WORK%Temp\%~n1.wav" "%WORK%Temp\%~n1_SSRC.wav"
IF NOT EXIST "Temp\%~n1_SSRC.wav" (
	START /W W32popup.exe "Leider ist bei der Bearbeitung von %~n1_SSRC.wav ein Fehler passiert !" /C:"MP3 -> AC3 FEHLER SSRC" /I:I /B:OK
	GOTO :EOF
)
ECHO.
CLS
:BESWEET
ECHO ...BeSweet komprimiert........................................................................
ECHO.
"%WORK%Programme\BeSweet\besweet.exe" -core( -input "%WORK%Temp\%~n1_SSRC.wav" -output "%~2\%~n1.ac3" ) -ac3enc( -b 192 )
IF NOT EXIST "%~2\%~n1.ac3" (
	START /W W32popup.exe "Leider ist bei der Bearbeitung von %~n1.ac3 ein Fehler passiert !" /C:"MP3 -> AC3 FEHLER BESWEET" /I:I /B:OK
	GOTO :EOF
)
ECHO.
CLS
GOTO :EOF

:DEL
START /W W32popup.exe "Sollen die temporaeren Dateien geloescht werden ?" /C:"MP3 -> AC3" /I:Q /B:YN
IF "%ERRORLEVEL%"=="3" del Temp
IF "%ERRORLEVEL%"=="2" GOTO :Ende

:ENDE
ECHO Vorgang beendet..................
Pause